
Redmine - Patch #41914

Fix random test failure in UserTest#test_validate_password_complexity due to missing explicit

language setting

2024-12-01 05:36 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.2   

Description

Failure:

UserTest#test_validate_password_complexity [test/unit/user_test.rb:580]:

Expected false to be truthy.

bin/rails test test/unit/user_test.rb:566

Associated revisions

Revision 23343 - 2024-12-01 05:46 - Go MAEDA

Improve error messages for test failures by using `assert_includes` instead of `assert` in UserTest#test_validate_password_complexity (#41914).

Revision 23345 - 2024-12-02 01:18 - Go MAEDA

Fix random test failure in UserTest#test_validate_password_complexity due to missing explicit language setting (#41914).

Patch by Go MAEDA (user:maeda).

Revision 23346 - 2024-12-02 02:31 - Go MAEDA

Merged r23343 and r23345 from trunk to 6.0-stable (#41914).

History

#1 - 2024-12-01 05:52 - Go MAEDA

To address the occasional test failures, I replaced assert with assert_includes in r23343.

assert_includes provides more informative error messages, making it easier to debug and resolve this issue.

#2 - 2024-12-01 07:55 - Go MAEDA

- Subject changed from Fix randomtest failure in UserTest#test_validate_password_complexity to Fix random test failure in

UserTest#test_validate_password_complexity

#3 - 2024-12-02 00:44 - Go MAEDA

We have to set the current user's language to English in the test.

Failure:

UserTest#test_validate_password_complexity [test/unit/user_test.rb:580]:

Expected ["Mot de passe est trop court (au moins 8 caractères)", "Mot de passe is too simple"] to include "Pas

sword is too simple".

bin/rails test test/unit/user_test.rb:566

#4 - 2024-12-02 01:20 - Go MAEDA

- Subject changed from Fix random test failure in UserTest#test_validate_password_complexity to Fix random test failure in

UserTest#test_validate_password_complexity due to missing explicit language setting

- Status changed from New to Resolved

- Target version changed from 6.1.0 to 6.0.2

Committed the fix for this issue in r23345.

#5 - 2024-12-02 02:31 - Go MAEDA
- Status changed from Resolved to Closed

Merged the changes into the 6.0-stable branch in r23346.
